---
title: TrackDefaultList.length
slug: Web/API/TrackDefaultList/length
tags:
  - API
  - Audio
  - Experimental
  - Extensions
  - MSE
  - Media
  - Property
  - Reference
  - TrackDefaultList
  - Video
  - length
  - source
---
<div>{{APIRef("Media Source Extensions")}}{{Obsolete_Header}}</div>

<p>The <code><strong>length</strong></code> read-only property of the {{domxref("TrackDefaultList")}} interface returns the number of {{domxref("TrackDefault")}} objects in the list.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js">var myListLength = TrackDefaultList.length;</pre>

<h3 id="Value">Value</h3>

<p>An unsigned long number.</p>

<h2 id="Example">Example</h2>

<p>TBD</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>
<div>

<p>{{Compat("api.TrackDefaultList.length")}}</p>
</div>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("MediaSource")}}</li>
 <li>{{domxref("SourceBuffer")}}</li>
 <li>{{domxref("TrackDefaultList")}}</li>
</ul>
